Package com.emc.documentum.rest.representation

# Enum Class CoreLinkRelation

java.lang.Object
java.lang.Enum<CoreLinkRelation>
com.emc.documentum.rest.representation.CoreLinkRelation

All Implemented Interfaces:
  `Serializable`, `Comparable<CoreLinkRelation>`, `Constable`

public enum CoreLinkRelation extends Enum<CoreLinkRelation>
rel value of LinkRelation is part of the contract between client and server, and should NOT be changed at will

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACL`
  Link rel for sysobject associated acl
  `ACLS`
  Link rel for Acls resource
  `ANCESTOR_FOLDER`
  Link rel for ancestor folder
  `ARCHIVED_CONTENTS`
  Link rel for Archived Contents resource
  `ASPECT_TYPE`
  Link rel for Aspect type resource
  `ASPECT_TYPES`
  Link rel for Aspect types resource
  `ASSIST_VALUES`
  Link rel for assist values
  `ASSOCIATIONS`
  Link rel for sysobject associations of an ACL
  `ATTACHABLE_LIFECYCLES`
  Link rel for the attachable lifecycles
  `AUDIT_POLICIES`
  Link rel to audit purging policies.
  `AUDIT_TRAILS`
  Link rel for audit trails resource
  `AUDITED_OBJECT`
  Link rel for mapping resource audited object of single trail
  `AVAILABLE_AUDIT_EVENTS`
  Link rel to get available audit events in certain path.
  `BATCH_CAPABILITIES`
  Link rel for Batch-capabilities resource
  `BATCHES`
  Link rel for Batches resource
  `BUSINESS_WORKSPACES`
  Link rel to business workspaces
  `BWS_FOLDER_TEMPLATES`
  Link rel to BWS Folder Templates
  `BWS_ROLES`
  Link rel to runtime Instance Roles/groups
  `BWS_TYPES_DEFINITION`
  Link rel to BWS Types Definition
  `CABINET`
  Link rel for Cabinet resource
  `CABINETS`
  Link rel for Cabinets resource
  `CANCEL_CHECKOUT`
  Link rel for canceling check out action
  `CANCEL_DEMOTION`
  Link rel to cancel the scheduled demotion the object lifecycle
  `CANCEL_PROMOTION`
  Link rel to cancel the scheduled promotion the object lifecycle
  `CANCEL_RESUMPTION`
  Link rel to cancel the scheduled resumption the object lifecycle
  `CANCEL_SUSPENSION`
  Link rel to cancel the scheduled suspension the object lifecycle
  `CHECKED_OUT_OBJECTS`
  Link rel for checked out objects
  `CHECKIN_BRANCH_VERSION`
  Link rel for checking in branch version action
  `CHECKIN_NEXT_MAJOR`
  Link rel for checking in next major action
  `CHECKIN_NEXT_MINOR`
  Link rel for checking in next minor action
  `CHECKOUT`
  Link rel for checking out action
  `CHILD_LINKS`
  Link rel for child links
  `COMMENTS`
  Link rel for comments resource
  `CONNECTED_BUSINESS_WORKSPACES`
  Link rel to Create CWS Instances
  `CONTENT_MEDIA`
  Link rel for Content Media resource
  `CONTENTS`
  Link rel for Contents resource
  `CREATOR`
  Link rel for creator
  `CURRENT_USER`
  Link rel for current user
  `CURRENT_USER_PREFERENCES`
  Link rel for current user preferences
  `CURRENT_VERSION`
  Link rel for current version
  `CWS_BO_ADAPTERS`
  Link rel to cws bo adapters
  `CWS_BUSINESS_OBJECT_ROLES`
  Link rel to CWS Roles/groups
  `CWS_BUSINESS_OBJECT_TYPE`
  Link rel to CWS Business Object Type
  `CWS_BUSINESS_OBJECT_TYPES`
  Link rel to CWS Business Object Types
  `CWS_CONNECTION_VALIDATOR`
  Link rel to CWS Connection validator
  `CWS_CONNECTIONS`
  Link rel to CWS Connections
  `CWS_TYPES_DEFINITION`
  Link rel to CWS Types Definition
  `DARS`
  Link rel for dars resource
  `DEFAULT_FOLDER`
  Link rel for default folder
  `DELETE`
  Link rel for deleting resource
  `DELETE_DOCUMENTS`
  Link rel to delete workflow task documents
  `DELETE_NOTE`
  Link rel to delete workflow task package note
  `DEMATERIALIZE`
  Link rel for dematerialize the lightweight object
  `DEMOTION`
  Link rel to demote the object lifecycle
  `DISTRIBUTED_UPLOAD`
  Link rel to make a distributed content upload
  `DOCUMENT`
  Link rel to get workflow task document
  `DOCUMENTS`
  Link rel for Documents resource
  `DQL`
  Link rel for Query resource
  `FOLDER_CHILDREN`
  Link rel for folder children
  `FOLDER_PATH`
  Link rel for folder path
  `FOLDERS`
  Link rel for Folders resource
  `FORMAT`
  Link rel for Format resource
  `FORMATS`
  Link rel for Formats resource
  `FREEZE`
  Link rel for freeze snapshot
  `GROUP`
  Link rel for Group resource
  `GROUPS`
  Link rel for Groups resource
  `INBOX`
  Link rel to access inbox
  `INBOX_ITEM`
  Link rel to access workflow
  `JOBS`
  Link rel for jobs resource
  `LIFECYCLE`
  Link rel for the single lifecycle
  `LIFECYCLES`
  Link rel for the lifecycles
  `LIGHTWEIGHT_OBJECTS`
  Link rel for object lightweight objects resource
  `LIGHTWEIGHT_TYPES`
  Link rel for Types resource
  `LOCK_OWNER`
  Link rel for lock owner
  `LOGOUT`
  Link rel for logoff action
  `MATERIALIZE`
  Link rel for materialize the lightweight object
  `MEMBERS`
  Link rel for Members resource
  `METHOD`
  Link rel for method resource
  `METHODS`
  Link rel for methods resource
  `MODIFIER`
  Link rel for modifier
  `MODULES`
  Link rel for modules resource
  `NETWORK_LOCATIONS`
  Link rel for Network-locations resource
  `OBJECT_ASPECTS`
  Link rel for Objects resource
  `OBJECT_ID`
  Link rel for object id
  `OBJECT_LIFECYCLE`
  Link rel for the object lifecycle
  `OBJECTS`
  Link rel for Objects resource
  `OWNER`
  Link rel for owner
  `PARENT_LINKS`
  Link rel for parent links
  `PARENT_SHAREABLE_TYPE`
  Link rel for parent shareable type resource
  `PERMISSION_SET`
  Link rel for permission set
  `PERMISSIONS`
  Link rel for view permissions for other user/group
  `PRIMARY_CONTENT`
  Link rel for Primary Content
  `PROMOTION`
  Link rel to promote the object lifecycle
  `QUEUE_TASKS`
  Link rel to work queue tasks
  `RECENT_TRAILS`
  Link rel for audit trails resource for current user
  `REGISTERED_AUDIT_EVENTS`
  Link rel to get registered audit events in certain path.
  `RELATED_DOCS`
  Link rel to show related doc of a doc by cce.
  `RELATED_SME`
  Link rel to show related sme of a doc by cce.
  `RELATION_TYPE`
  Link rel for Relation Type resource
  `RELATION_TYPES`
  Link rel for Relation Types resource
  `RELATIONS`
  Link rel for Relations resource
  `REPLIES`
  Link rel for comment replies resource
  `REPOSITORIES`
  Link rel for Repositories resource
  `RESUMPTION`
  Link rel to resume the object lifecycle
  `SAVED_SEARCH_AS_TEMPLATE`
  Link rel for Saved-search-as_template
  `SAVED_SEARCH_SAVED_RESULTS`
  Link rel for Saved-search-results resource
  `SAVED_SEARCHES`
  Link rel for Saved-searches resource
  `SEARCH`
  Link rel for Search resource
  `SEARCH_EXECUTION`
  Link rel for Search-execution resource
  `SEARCH_TEMPLATES`
  Link rel for Search-templates resource
  `SHARED_PARENT`
  Link rel for lightweight object shared parent resource
  `SIGNIFICANT_TERMS`
  Link rel to show significant terms of a doc by cce.
  `SNAPSHOT_NODES`
  Link rel for the snapshot nodes
  `SNAPSHOTS`
  Link rel for the snapshots
  `SUBSCRIBE`
  Link rel to subscribe a new item.
  `SUBSCRIPTIONS`
  Link rel to subscriptions.
  `SUPPORTED_FACETS`
  Link rel to access supported facets
  `SUSPENSION`
  Link rel to suspend the object lifecycle
  `SYNONYM_CATEGORIES`
  Link rel to get synonyms categories for given word by cce.
  `SYNONYMS`
  Link rel to get synonyms for given word by cce.
  `TASK_PACKAGES`
  Link rel to task packages
  `TYPE`
  Link rel for Type resource
  `TYPES`
  Link rel for Types resource
  `UNFREEZE`
  Link rel for unfreeze snapshot
  `UNREGISTER_ALL_AUDIT_EVENTS`
  Link rel to unregister all audit events in certain path.
  `UNSUBSCRIBE`
  Link rel to unsubscribe a subscribed item.
  `USER`
  Link rel for User resource
  `USER_PROFILE_IMAGE`
  Link rel for user profile image
  `USER_WEB_SESSION_CONFIG`
  Link rel to concurrent web sessions module.
  `USER_WEB_SESSIONS`
  `USERS`
  Link rel for Users resource
  `VIRTUAL_DOCUMENT`
  Link rel for the virtual document
  `VIRTUAL_DOCUMENT_COMPONENT`
  Link rel for virtual document component
  `VIRTUAL_DOCUMENT_CONVERSION`
  Link rel for virtual document component
  `VIRTUAL_DOCUMENT_NODES`
  Link rel for the virtual document nodes
  `WORD_SUGGESTIONS`
  Link rel to get suggestion(homophone and typeahead) for given word by cce.
  `WORK_ITEM`
  Link rel to access workflow work item
  `WORK_ITEMS`
  Link rel to access workflow work items
  `WORK_QUEUES`
  Link rel to work queues
  `WORKFLOW`
  Link rel to access workflow
  `WORKFLOW_ACTIVITIES`
  Link rel to access workflow template activities
  `WORKFLOW_ACTIVITY`
  Link rel to access workflow template activity
  `WORKFLOW_ATTACHMENTS`
  Link rel to access workflow attachments
  `WORKFLOW_TEMPLATE`
  Link rel to access workflow template
  `WORKFLOW_TEMPLATES`
  Link rel to access workflow templates
  `WORKFLOWS`
  Link rel to access workflows

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `rel()`
  Get link rel
  `static CoreLinkRelation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CoreLinkRelation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DELETE

    public static final CoreLinkRelation DELETE
    Link rel for deleting resource

  - ### TYPES

    public static final CoreLinkRelation TYPES
    Link rel for Types resource

  - ### LIGHTWEIGHT_TYPES

    public static final CoreLinkRelation LIGHTWEIGHT_TYPES
    Link rel for Types resource

  - ### ASSIST_VALUES

    public static final CoreLinkRelation ASSIST_VALUES
    Link rel for assist values

  - ### TYPE

    public static final CoreLinkRelation TYPE
    Link rel for Type resource

  - ### PARENT_SHAREABLE_TYPE

    public static final CoreLinkRelation PARENT_SHAREABLE_TYPE
    Link rel for parent shareable type resource

  - ### ASPECT_TYPES

    public static final CoreLinkRelation ASPECT_TYPES
    Link rel for Aspect types resource

  - ### ASPECT_TYPE

    public static final CoreLinkRelation ASPECT_TYPE
    Link rel for Aspect type resource

  - ### FOLDERS

    public static final CoreLinkRelation FOLDERS
    Link rel for Folders resource

  - ### DOCUMENTS

    public static final CoreLinkRelation DOCUMENTS
    Link rel for Documents resource

  - ### OBJECTS

    public static final CoreLinkRelation OBJECTS
    Link rel for Objects resource

  - ### OBJECT_ASPECTS

    public static final CoreLinkRelation OBJECT_ASPECTS
    Link rel for Objects resource

  - ### ANCESTOR_FOLDER

    public static final CoreLinkRelation ANCESTOR_FOLDER
    Link rel for ancestor folder

  - ### CABINET

    public static final CoreLinkRelation CABINET
    Link rel for Cabinet resource

  - ### CONTENTS

    public static final CoreLinkRelation CONTENTS
    Link rel for Contents resource

  - ### CONTENT_MEDIA

    public static final CoreLinkRelation CONTENT_MEDIA
    Link rel for Content Media resource

  - ### ARCHIVED_CONTENTS

    public static final CoreLinkRelation ARCHIVED_CONTENTS
    Link rel for Archived Contents resource

  - ### PRIMARY_CONTENT

    public static final CoreLinkRelation PRIMARY_CONTENT
    Link rel for Primary Content

  - ### RELATIONS

    public static final CoreLinkRelation RELATIONS
    Link rel for Relations resource

  - ### RELATION_TYPES

    public static final CoreLinkRelation RELATION_TYPES
    Link rel for Relation Types resource

  - ### CHECKED_OUT_OBJECTS

    public static final CoreLinkRelation CHECKED_OUT_OBJECTS
    Link rel for checked out objects

  - ### REPOSITORIES

    public static final CoreLinkRelation REPOSITORIES
    Link rel for Repositories resource

  - ### USERS

    public static final CoreLinkRelation USERS
    Link rel for Users resource

  - ### USER

    public static final CoreLinkRelation USER
    Link rel for User resource

  - ### GROUPS

    public static final CoreLinkRelation GROUPS
    Link rel for Groups resource

  - ### GROUP

    public static final CoreLinkRelation GROUP
    Link rel for Group resource

  - ### MEMBERS

    public static final CoreLinkRelation MEMBERS
    Link rel for Members resource

  - ### CURRENT_USER

    public static final CoreLinkRelation CURRENT_USER
    Link rel for current user

  - ### CURRENT_USER_PREFERENCES

    public static final CoreLinkRelation CURRENT_USER_PREFERENCES
    Link rel for current user preferences

  - ### DEFAULT_FOLDER

    public static final CoreLinkRelation DEFAULT_FOLDER
    Link rel for default folder

  - ### MODIFIER

    public static final CoreLinkRelation MODIFIER
    Link rel for modifier

  - ### CREATOR

    public static final CoreLinkRelation CREATOR
    Link rel for creator

  - ### OWNER

    public static final CoreLinkRelation OWNER
    Link rel for owner

  - ### LOCK_OWNER

    public static final CoreLinkRelation LOCK_OWNER
    Link rel for lock owner

  - ### FORMAT

    public static final CoreLinkRelation FORMAT
    Link rel for Format resource

  - ### RELATION_TYPE

    public static final CoreLinkRelation RELATION_TYPE
    Link rel for Relation Type resource

  - ### CHECKIN_NEXT_MAJOR

    public static final CoreLinkRelation CHECKIN_NEXT_MAJOR
    Link rel for checking in next major action

  - ### CHECKIN_NEXT_MINOR

    public static final CoreLinkRelation CHECKIN_NEXT_MINOR
    Link rel for checking in next minor action

  - ### CHECKIN_BRANCH_VERSION

    public static final CoreLinkRelation CHECKIN_BRANCH_VERSION
    Link rel for checking in branch version action

  - ### CHECKOUT

    public static final CoreLinkRelation CHECKOUT
    Link rel for checking out action

  - ### CANCEL_CHECKOUT

    public static final CoreLinkRelation CANCEL_CHECKOUT
    Link rel for canceling check out action

  - ### CURRENT_VERSION

    public static final CoreLinkRelation CURRENT_VERSION
    Link rel for current version

  - ### OBJECT_ID

    public static final CoreLinkRelation OBJECT_ID
    Link rel for object id

  - ### FOLDER_PATH

    public static final CoreLinkRelation FOLDER_PATH
    Link rel for folder path

  - ### FOLDER_CHILDREN

    public static final CoreLinkRelation FOLDER_CHILDREN
    Link rel for folder children

  - ### VIRTUAL_DOCUMENT

    public static final CoreLinkRelation VIRTUAL_DOCUMENT
    Link rel for the virtual document

  - ### VIRTUAL_DOCUMENT_NODES

    public static final CoreLinkRelation VIRTUAL_DOCUMENT_NODES
    Link rel for the virtual document nodes

  - ### SNAPSHOTS

    public static final CoreLinkRelation SNAPSHOTS
    Link rel for the snapshots

  - ### SNAPSHOT_NODES

    public static final CoreLinkRelation SNAPSHOT_NODES
    Link rel for the snapshot nodes

  - ### VIRTUAL_DOCUMENT_COMPONENT

    public static final CoreLinkRelation VIRTUAL_DOCUMENT_COMPONENT
    Link rel for virtual document component

  - ### VIRTUAL_DOCUMENT_CONVERSION

    public static final CoreLinkRelation VIRTUAL_DOCUMENT_CONVERSION
    Link rel for virtual document component

  - ### FREEZE

    public static final CoreLinkRelation FREEZE
    Link rel for freeze snapshot

  - ### UNFREEZE

    public static final CoreLinkRelation UNFREEZE
    Link rel for unfreeze snapshot

  - ### DQL

    public static final CoreLinkRelation DQL
    Link rel for Query resource

  - ### SEARCH

    public static final CoreLinkRelation SEARCH
    Link rel for Search resource

  - ### SAVED_SEARCHES

    public static final CoreLinkRelation SAVED_SEARCHES
    Link rel for Saved-searches resource

  - ### SEARCH_EXECUTION

    public static final CoreLinkRelation SEARCH_EXECUTION
    Link rel for Search-execution resource

  - ### SAVED_SEARCH_SAVED_RESULTS

    public static final CoreLinkRelation SAVED_SEARCH_SAVED_RESULTS
    Link rel for Saved-search-results resource

  - ### SAVED_SEARCH_AS_TEMPLATE

    public static final CoreLinkRelation SAVED_SEARCH_AS_TEMPLATE
    Link rel for Saved-search-as_template

  - ### SEARCH_TEMPLATES

    public static final CoreLinkRelation SEARCH_TEMPLATES
    Link rel for Search-templates resource

  - ### CABINETS

    public static final CoreLinkRelation CABINETS
    Link rel for Cabinets resource

  - ### FORMATS

    public static final CoreLinkRelation FORMATS
    Link rel for Formats resource

  - ### NETWORK_LOCATIONS

    public static final CoreLinkRelation NETWORK_LOCATIONS
    Link rel for Network-locations resource

  - ### PARENT_LINKS

    public static final CoreLinkRelation PARENT_LINKS
    Link rel for parent links

  - ### CHILD_LINKS

    public static final CoreLinkRelation CHILD_LINKS
    Link rel for child links

  - ### BATCH_CAPABILITIES

    public static final CoreLinkRelation BATCH_CAPABILITIES
    Link rel for Batch-capabilities resource

  - ### BATCHES

    public static final CoreLinkRelation BATCHES
    Link rel for Batches resource

  - ### ASSOCIATIONS

    public static final CoreLinkRelation ASSOCIATIONS
    Link rel for sysobject associations of an ACL

  - ### ACLS

    public static final CoreLinkRelation ACLS
    Link rel for Acls resource

  - ### ACL

    public static final CoreLinkRelation ACL
    Link rel for sysobject associated acl

  - ### PERMISSIONS

    public static final CoreLinkRelation PERMISSIONS
    Link rel for view permissions for other user/group

  - ### PERMISSION_SET

    public static final CoreLinkRelation PERMISSION_SET
    Link rel for permission set

  - ### USER_PROFILE_IMAGE

    public static final CoreLinkRelation USER_PROFILE_IMAGE
    Link rel for user profile image

  - ### MATERIALIZE

    public static final CoreLinkRelation MATERIALIZE
    Link rel for materialize the lightweight object

  - ### DEMATERIALIZE

    public static final CoreLinkRelation DEMATERIALIZE
    Link rel for dematerialize the lightweight object

  - ### LIGHTWEIGHT_OBJECTS

    public static final CoreLinkRelation LIGHTWEIGHT_OBJECTS
    Link rel for object lightweight objects resource

  - ### SHARED_PARENT

    public static final CoreLinkRelation SHARED_PARENT
    Link rel for lightweight object shared parent resource

  - ### LOGOUT

    public static final CoreLinkRelation LOGOUT
    Link rel for logoff action

  - ### COMMENTS

    public static final CoreLinkRelation COMMENTS
    Link rel for comments resource

  - ### REPLIES

    public static final CoreLinkRelation REPLIES
    Link rel for comment replies resource

  - ### AUDIT_TRAILS

    public static final CoreLinkRelation AUDIT_TRAILS
    Link rel for audit trails resource

  - ### AUDITED_OBJECT

    public static final CoreLinkRelation AUDITED_OBJECT
    Link rel for mapping resource audited object of single trail

  - ### RECENT_TRAILS

    public static final CoreLinkRelation RECENT_TRAILS
    Link rel for audit trails resource for current user

  - ### LIFECYCLES

    public static final CoreLinkRelation LIFECYCLES
    Link rel for the lifecycles

  - ### ATTACHABLE_LIFECYCLES

    public static final CoreLinkRelation ATTACHABLE_LIFECYCLES
    Link rel for the attachable lifecycles

  - ### LIFECYCLE

    public static final CoreLinkRelation LIFECYCLE
    Link rel for the single lifecycle

  - ### OBJECT_LIFECYCLE

    public static final CoreLinkRelation OBJECT_LIFECYCLE
    Link rel for the object lifecycle

  - ### PROMOTION

    public static final CoreLinkRelation PROMOTION
    Link rel to promote the object lifecycle

  - ### DEMOTION

    public static final CoreLinkRelation DEMOTION
    Link rel to demote the object lifecycle

  - ### SUSPENSION

    public static final CoreLinkRelation SUSPENSION
    Link rel to suspend the object lifecycle

  - ### RESUMPTION

    public static final CoreLinkRelation RESUMPTION
    Link rel to resume the object lifecycle

  - ### CANCEL_PROMOTION

    public static final CoreLinkRelation CANCEL_PROMOTION
    Link rel to cancel the scheduled promotion the object lifecycle

  - ### CANCEL_DEMOTION

    public static final CoreLinkRelation CANCEL_DEMOTION
    Link rel to cancel the scheduled demotion the object lifecycle

  - ### CANCEL_SUSPENSION

    public static final CoreLinkRelation CANCEL_SUSPENSION
    Link rel to cancel the scheduled suspension the object lifecycle

  - ### CANCEL_RESUMPTION

    public static final CoreLinkRelation CANCEL_RESUMPTION
    Link rel to cancel the scheduled resumption the object lifecycle

  - ### AVAILABLE_AUDIT_EVENTS

    public static final CoreLinkRelation AVAILABLE_AUDIT_EVENTS
    Link rel to get available audit events in certain path.

  - ### REGISTERED_AUDIT_EVENTS

    public static final CoreLinkRelation REGISTERED_AUDIT_EVENTS
    Link rel to get registered audit events in certain path.

  - ### UNREGISTER_ALL_AUDIT_EVENTS

    public static final CoreLinkRelation UNREGISTER_ALL_AUDIT_EVENTS
    Link rel to unregister all audit events in certain path.

  - ### AUDIT_POLICIES

    public static final CoreLinkRelation AUDIT_POLICIES
    Link rel to audit purging policies.

  - ### SUBSCRIPTIONS

    public static final CoreLinkRelation SUBSCRIPTIONS
    Link rel to subscriptions.

  - ### SUBSCRIBE

    public static final CoreLinkRelation SUBSCRIBE
    Link rel to subscribe a new item.

  - ### UNSUBSCRIBE

    public static final CoreLinkRelation UNSUBSCRIBE
    Link rel to unsubscribe a subscribed item.

  - ### DISTRIBUTED_UPLOAD

    public static final CoreLinkRelation DISTRIBUTED_UPLOAD
    Link rel to make a distributed content upload

  - ### WORD_SUGGESTIONS

    public static final CoreLinkRelation WORD_SUGGESTIONS
    Link rel to get suggestion(homophone and typeahead) for given word by cce.

  - ### SYNONYMS

    public static final CoreLinkRelation SYNONYMS
    Link rel to get synonyms for given word by cce.

  - ### SYNONYM_CATEGORIES

    public static final CoreLinkRelation SYNONYM_CATEGORIES
    Link rel to get synonyms categories for given word by cce.

  - ### SIGNIFICANT_TERMS

    public static final CoreLinkRelation SIGNIFICANT_TERMS
    Link rel to show significant terms of a doc by cce.

  - ### RELATED_SME

    public static final CoreLinkRelation RELATED_SME
    Link rel to show related sme of a doc by cce.

  - ### RELATED_DOCS

    public static final CoreLinkRelation RELATED_DOCS
    Link rel to show related doc of a doc by cce.

  - ### SUPPORTED_FACETS

    public static final CoreLinkRelation SUPPORTED_FACETS
    Link rel to access supported facets

  - ### WORKFLOW_TEMPLATES

    public static final CoreLinkRelation WORKFLOW_TEMPLATES
    Link rel to access workflow templates

  - ### WORKFLOW_TEMPLATE

    public static final CoreLinkRelation WORKFLOW_TEMPLATE
    Link rel to access workflow template

  - ### WORKFLOW_ACTIVITIES

    public static final CoreLinkRelation WORKFLOW_ACTIVITIES
    Link rel to access workflow template activities

  - ### WORKFLOW_ACTIVITY

    public static final CoreLinkRelation WORKFLOW_ACTIVITY
    Link rel to access workflow template activity

  - ### WORKFLOWS

    public static final CoreLinkRelation WORKFLOWS
    Link rel to access workflows

  - ### WORKFLOW

    public static final CoreLinkRelation WORKFLOW
    Link rel to access workflow

  - ### WORKFLOW_ATTACHMENTS

    public static final CoreLinkRelation WORKFLOW_ATTACHMENTS
    Link rel to access workflow attachments

  - ### WORK_ITEMS

    public static final CoreLinkRelation WORK_ITEMS
    Link rel to access workflow work items

  - ### WORK_ITEM

    public static final CoreLinkRelation WORK_ITEM
    Link rel to access workflow work item

  - ### INBOX

    public static final CoreLinkRelation INBOX
    Link rel to access inbox

  - ### INBOX_ITEM

    public static final CoreLinkRelation INBOX_ITEM
    Link rel to access workflow

  - ### TASK_PACKAGES

    public static final CoreLinkRelation TASK_PACKAGES
    Link rel to task packages

  - ### DELETE_NOTE

    public static final CoreLinkRelation DELETE_NOTE
    Link rel to delete workflow task package note

  - ### DELETE_DOCUMENTS

    public static final CoreLinkRelation DELETE_DOCUMENTS
    Link rel to delete workflow task documents

  - ### DOCUMENT

    public static final CoreLinkRelation DOCUMENT
    Link rel to get workflow task document

  - ### WORK_QUEUES

    public static final CoreLinkRelation WORK_QUEUES
    Link rel to work queues

  - ### JOBS

    public static final CoreLinkRelation JOBS
    Link rel for jobs resource

  - ### METHODS

    public static final CoreLinkRelation METHODS
    Link rel for methods resource

  - ### METHOD

    public static final CoreLinkRelation METHOD
    Link rel for method resource

  - ### MODULES

    public static final CoreLinkRelation MODULES
    Link rel for modules resource

  - ### DARS

    public static final CoreLinkRelation DARS
    Link rel for dars resource

  - ### QUEUE_TASKS

    public static final CoreLinkRelation QUEUE_TASKS
    Link rel to work queue tasks

  - ### BUSINESS_WORKSPACES

    public static final CoreLinkRelation BUSINESS_WORKSPACES
    Link rel to business workspaces

  - ### BWS_TYPES_DEFINITION

    public static final CoreLinkRelation BWS_TYPES_DEFINITION
    Link rel to BWS Types Definition

  - ### BWS_FOLDER_TEMPLATES

    public static final CoreLinkRelation BWS_FOLDER_TEMPLATES
    Link rel to BWS Folder Templates

  - ### BWS_ROLES

    public static final CoreLinkRelation BWS_ROLES
    Link rel to runtime Instance Roles/groups

  - ### CWS_CONNECTIONS

    public static final CoreLinkRelation CWS_CONNECTIONS
    Link rel to CWS Connections

  - ### CWS_CONNECTION_VALIDATOR

    public static final CoreLinkRelation CWS_CONNECTION_VALIDATOR
    Link rel to CWS Connection validator

  - ### USER_WEB_SESSION_CONFIG

    public static final CoreLinkRelation USER_WEB_SESSION_CONFIG
    Link rel to concurrent web sessions module.

  - ### USER_WEB_SESSIONS

    public static final CoreLinkRelation USER_WEB_SESSIONS

  - ### CWS_BO_ADAPTERS

    public static final CoreLinkRelation CWS_BO_ADAPTERS
    Link rel to cws bo adapters

  - ### CWS_BUSINESS_OBJECT_TYPES

    public static final CoreLinkRelation CWS_BUSINESS_OBJECT_TYPES
    Link rel to CWS Business Object Types

  - ### CWS_BUSINESS_OBJECT_TYPE

    public static final CoreLinkRelation CWS_BUSINESS_OBJECT_TYPE
    Link rel to CWS Business Object Type

  - ### CWS_BUSINESS_OBJECT_ROLES

    public static final CoreLinkRelation CWS_BUSINESS_OBJECT_ROLES
    Link rel to CWS Roles/groups

  - ### CWS_TYPES_DEFINITION

    public static final CoreLinkRelation CWS_TYPES_DEFINITION
    Link rel to CWS Types Definition

  - ### CONNECTED_BUSINESS_WORKSPACES

    public static final CoreLinkRelation CONNECTED_BUSINESS_WORKSPACES
    Link rel to Create CWS Instances

- ## Method Details

  - ### values

    public static CoreLinkRelation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CoreLinkRelation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### rel

    public String rel()
    Get link rel
    Returns:
      link rel